{
  pkgs,
  config,
  ...
}: {
  haskellProjects.default = {
    devShell = {
      enable = true;

      tools = hp: {
        inherit
          (hp)
          cabal-fmt
          haskell-language-server
          ;

        inherit
          (pkgs)
          alejandra
          dhall
          dhall-json
          dhall-lsp-server
          helix-gpt
          just
          libz
          ngrep
          nil
          sops
          ssh-to-age
          stripe-cli
          vscode-langservers-extracted
          zlib
          ;

        inherit
          (pkgs.elmPackages)
          elm
          elm-format
          elm-land
          elm-language-server
          elm-review
          elm-test
          ;

        inherit
          (pkgs.nodePackages_latest)
          dotenv-cli
          forever
          nodejs
          npm
          typescript-language-server
          ;
      };

      hlsCheck.enable = true;
    };
  };
}
